//
//  DetailViewController.swift
//  MoviesList
//
//  Created by prateek sharma on 19/03/17.
//  Copyright © 2017 prateek sharma. All rights reserved.
//

import UIKit
import Kingfisher

class DetailViewController: UIViewController {
  
    var movieDetailDict : NSDictionary!
     @IBOutlet weak var movieImage: UIImageView?
     @IBOutlet weak var movieNameLbl: UILabel?
     @IBOutlet weak var moviePriceLbl: UILabel?
     @IBOutlet weak var movieItuneLbl: UILabel?
     @IBOutlet weak var movieDatelbl: UILabel?
    var ItunesLink: String?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        let imageArr = movieDetailDict["im:image"] as! NSArray
        let imageURL = (imageArr.object(at: 2) as! NSDictionary).value(forKey: "label") as! String
        
        let url = URL(string: imageURL)!
        movieImage?.kf.setImage(with: url,
                              placeholder: nil,
                              options: [.transition(.fade(1))],
                              progressBlock: nil,
                              completionHandler: nil)
        
        movieNameLbl?.text = (movieDetailDict.object(forKey: "im:name") as! NSDictionary).value(forKey: "label") as? String
        
        movieDatelbl?.text = ((movieDetailDict.object(forKey: "im:releaseDate") as! NSDictionary).object(forKey: "attributes") as! NSDictionary).value(forKey: "label") as? String
    
        moviePriceLbl?.text = (movieDetailDict.object(forKey: "im:price") as! NSDictionary).value(forKey: "label") as? String
        
         let linkArr = movieDetailDict["link"] as! NSArray
         ItunesLink = ((linkArr.object(at: 0) as! NSDictionary).value(forKey: "attributes") as! NSDictionary).value(forKey: "href") as? String
        
        movieItuneLbl?.text = ItunesLink

        
        
        
        // Do any additional setup after loading the view.
    }
    
    @IBAction func itunesLink(sender: UIButton) {
        if let url = URL(string:ItunesLink!) {
            UIApplication.shared.open(url, options: [:])
        }
    }


    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func backPressed(sender: UIButton) {
   _ = self.navigationController?.popViewController(animated: true)
    }

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
