//
//  ViewController.swift
//  MoviesList
//
//  Created by prateek sharma on 18/03/17.
//  Copyright © 2017 prateek sharma. All rights reserved.
//

import UIKit
import Alamofire

class ViewController: UIViewController, UITableViewDelegate,UITableViewDataSource {
 @IBOutlet weak var movieTable: UITableView?
    var movieArr : NSArray!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
         self.movieArr = NSArray()
        loadData()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    //MARK: loading URL 
    func loadData(){
        let loading = SKLoadingView(self.view)
        loading.show()
        Alamofire.request("https://itunes.apple.com/us/rss/topmovies/limit=25/json", method: .get, parameters: nil, encoding: JSONEncoding.default)
            .responseJSON { response in
                print(response)
                  loading.dismis()
                //to get status code
                if let status = response.response?.statusCode {
                    switch(status){
                    case 201:
                        print("example success")
                    default:
                        print("error with response status: \(status)")
                    }
                }
                //to get JSON return value
                if let result = response.result.value {
                    let JSON = result as! NSDictionary
                    print("response",JSON)
                   
                    let Dict = JSON["feed"] as! NSDictionary
                    self.movieArr = Dict["entry"] as! NSArray
                    self.movieTable?.reloadData()
                }
                
        }
    }
    
    //MARK: Tableview delegate
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return movieArr.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        
        let cell = tableView.dequeueReusableCell(withIdentifier: "MovieInfoCell", for: indexPath as IndexPath) as! MovieInfoCell

        let MovieDict = movieArr.object(at: indexPath.row) as! NSDictionary
        
        cell.movieNameLbl?.text = (MovieDict.object(forKey: "im:name") as! NSDictionary).value(forKey: "label") as? String
        
        cell.movieDateLbl?.text = ((MovieDict.object(forKey: "im:releaseDate") as! NSDictionary).object(forKey: "attributes") as! NSDictionary).value(forKey: "label") as? String
        
        cell.moviePriceLbl?.text = (MovieDict.object(forKey: "im:price") as! NSDictionary).value(forKey: "label") as? String
        
        return cell
        
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        let DetailVC = self.storyboard?.instantiateViewController(withIdentifier: "Detailview") as! DetailViewController
         DetailVC.movieDetailDict = movieArr.object(at: indexPath.row) as! NSDictionary
         self.navigationController?.pushViewController(DetailVC, animated: true)
        
    }
    
}

